FROM node:16-bullseye-slim

ARG SONAR_SCANNER_HOME=/opt/sonar-scanner
ENV JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64 \
    HOME=/tmp \
    XDG_CONFIG_HOME=/tmp \
    SONAR_SCANNER_HOME=${SONAR_SCANNER_HOME} \
    SONAR_USER_HOME=${SONAR_SCANNER_HOME}/.sonar \
    PATH=/opt/java/openjdk/bin:${SONAR_SCANNER_HOME}/bin:${PATH}

RUN apt update && \
    apt install -y "tar" "unzip" gzip curl lftp "python3-dev" libpq-dev binutils libproj-dev gdal-bin python3-lxml \
                   libcairo2 libpango1.0-0 libgdk-pixbuf2.0-0 libffi-dev shared-mime-info libxslt-dev libxml2-dev \
                   xvfb libjpeg-dev libjpeg62-turbo-dev zlib1g-dev tox libxmlsec1-dev libvips-dev wget openjdk-11-jdk-headless \
                   openjdk-11-jdk

RUN wget -U "scannercli" -q -O /opt/sonnar-scanner-cli.zip https://binaries.sonarsource.com/Distribution/sonar-scanner-cli/sonar-scanner-cli-4.6.2.2472.zip ; \
    unzip /opt/sonnar-scanner-cli.zip ; mv sonar-scanner-4.6.2.2472 /opt/sonnar-scanner; \
    rm -fr /opt/sonnar-scanner-cli.zip && ln -s /opt/sonnar-scanner/bin/sonar-scanner /usr/bin/sonar-scanner
